Bug 86064 - [Shadow DOM][Refactoring] HTMLContentSelector family should have better name
: [Shadow DOM][Refactoring] HTMLContentSelector family should have better name
Status: RESOLVED FIXED
: WebKit
HTML DOM
: 528+ (Nightly build)
: Unspecified Unspecified
: P2 Normal
Assigned To:
:
:
:
: 85263 86350
  Show dependency treegraph
 
Reported: 2012-05-10 00:43 PST by
Modified: 2012-05-14 11:53 PST (History)


Attachments
WIP (52.67 KB, patch)
2012-05-10 22:27 PST, Hajime Morrita
no flags Review Patch | Details | Formatted Diff | Diff
WIP (52.74 KB, patch)
2012-05-11 00:03 PST, Hajime Morrita
no flags Review Patch | Details | Formatted Diff | Diff
WIP (52.71 KB, patch)
2012-05-11 01:13 PST, Hajime Morrita
no flags Review Patch | Details | Formatted Diff | Diff
WIP (52.50 KB, patch)
2012-05-13 17:55 PST, Hajime Morrita
no flags Review Patch | Details | Formatted Diff | Diff
Patch (57.66 KB, patch)
2012-05-13 18:16 PST, Hajime Morrita
no flags Review Patch | Details | Formatted Diff | Diff
Patch for landing (57.33 KB, patch)
2012-05-14 03:56 PST, Hajime Morrita
no flags Review Patch | Details | Formatted Diff | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2012-05-10 00:43:28 PST
The name was invented before Shadow DOM spec was formally written.
There is now a concept named "distribution". So that implementation should follow such terminology.
------- Comment #1 From 2012-05-10 22:27:58 PST -------
Created an attachment (id=141329) [details]
WIP
------- Comment #2 From 2012-05-11 00:03:50 PST -------
Created an attachment (id=141338) [details]
WIP
------- Comment #3 From 2012-05-11 00:10:01 PST -------
(From update of attachment 141338 [details])
Attachment 141338 [details] did not pass mac-ews (mac):
Output: http://queues.webkit.org/results/12666417
------- Comment #4 From 2012-05-11 00:13:04 PST -------
(From update of attachment 141338 [details])
Attachment 141338 [details] did not pass qt-wk2-ews (qt):
Output: http://queues.webkit.org/results/12663603
------- Comment #5 From 2012-05-11 00:13:19 PST -------
(From update of attachment 141338 [details])
Attachment 141338 [details] did not pass efl-ews (efl):
Output: http://queues.webkit.org/results/12675125
------- Comment #6 From 2012-05-11 00:14:47 PST -------
(From update of attachment 141338 [details])
Attachment 141338 [details] did not pass qt-ews (qt):
Output: http://queues.webkit.org/results/12659011
------- Comment #7 From 2012-05-11 01:08:10 PST -------
(From update of attachment 141338 [details])
Attachment 141338 [details] did not pass gtk-ews (gtk):
Output: http://queues.webkit.org/results/12670225
------- Comment #8 From 2012-05-11 01:13:24 PST -------
Created an attachment (id=141348) [details]
WIP
------- Comment #9 From 2012-05-11 04:51:48 PST -------
(From update of attachment 141348 [details])
Attachment 141348 [details] did not pass gtk-ews (gtk):
Output: http://queues.webkit.org/results/12671318
------- Comment #10 From 2012-05-11 10:51:53 PST -------
(From update of attachment 141348 [details])
View in context: https://bugs.webkit.org/attachment.cgi?id=141348&action=review

Some name bikeshedding.

> Source/WebCore/dom/ElementShadow.cpp:43
> +    : m_needsRecalcDistribution(false)

needsRedistributing

> Source/WebCore/html/shadow/ShadowDistributor.h:46
> +class ShadowBoundaryDistribution {

ContentDistribution

> Source/WebCore/html/shadow/ShadowDistributor.h:68
> +        RefPtr<Item> m_next;
> +        RefPtr<Item> m_previous;

Shouldn't be RefPtrs, right?

> Source/WebCore/html/shadow/ShadowDistributor.h:88
> +    RefPtr<Item> m_first;
> +    RefPtr<Item> m_last;

Ditto about RefPtrs.

> Source/WebCore/html/shadow/ShadowDistributor.h:91
> +class ShadowDistributor {

ContentDistributor
------- Comment #11 From 2012-05-13 17:55:03 PST -------
Created an attachment (id=141622) [details]
WIP
------- Comment #12 From 2012-05-13 18:16:04 PST -------
Created an attachment (id=141623) [details]
Patch
------- Comment #13 From 2012-05-13 18:18:53 PST -------
Hi Dimitri, thanks for taking a look!
I updated the patch.

(In reply to comment #10)
> (From update of attachment 141348 [details] [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=141348&action=review
> 
> Some name bikeshedding.
> 
> > Source/WebCore/dom/ElementShadow.cpp:43
> > +    : m_needsRecalcDistribution(false)
> 
> needsRedistributing
Done.

> 
> > Source/WebCore/html/shadow/ShadowDistributor.h:46
> > +class ShadowBoundaryDistribution {
> 
> ContentDistribution
Done.

> 
> > Source/WebCore/html/shadow/ShadowDistributor.h:68
> > +        RefPtr<Item> m_next;
> > +        RefPtr<Item> m_previous;
> 
> Shouldn't be RefPtrs, right?
Should be. But I'd like to do it in a separate patch to
isolate possible revealing of hidden bugs... 
Actually, I'm thinking to kill this Item class in following patch(-es).

> 
> > Source/WebCore/html/shadow/ShadowDistributor.h:88
> > +    RefPtr<Item> m_first;
> > +    RefPtr<Item> m_last;
> 
> Ditto about RefPtrs.
> 
> > Source/WebCore/html/shadow/ShadowDistributor.h:91
> > +class ShadowDistributor {
> 
> ContentDistributor
Done.
------- Comment #14 From 2012-05-13 19:40:03 PST -------
(In reply to comment #13)

> > Shouldn't be RefPtrs, right?
> Should be. But I'd like to do it in a separate patch to
> isolate possible revealing of hidden bugs... 
> Actually, I'm thinking to kill this Item class in following patch(-es).

Sounds good. We usually add FIXMEs referencing bugs for future work.
------- Comment #15 From 2012-05-13 19:41:29 PST -------
(From update of attachment 141623 [details])
not sure why gtk is angry at you.
------- Comment #16 From 2012-05-13 23:54:59 PST -------
Thanks for r+ing!

(In reply to comment #14)
> (In reply to comment #13)
> 
> > > Shouldn't be RefPtrs, right?
> > Should be. But I'd like to do it in a separate patch to
> > isolate possible revealing of hidden bugs... 
> > Actually, I'm thinking to kill this Item class in following patch(-es).
> 
> Sounds good. We usually add FIXMEs referencing bugs for future work.
True. Will add it before landing.
------- Comment #17 From 2012-05-14 03:56:41 PST -------
Created an attachment (id=141683) [details]
Patch for landing
------- Comment #18 From 2012-05-14 03:58:26 PST -------
(From update of attachment 141683 [details])
Rejecting attachment 141683 [details] from commit-queue.

Failed to run "['/mnt/git/webkit-commit-queue/Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '-..." exit_code: 1

ERROR: /mnt/git/webkit-commit-queue/Source/WebCore/ChangeLog neither lists a valid reviewer nor contains the string "Unreviewed" or "Rubber stamp" (case insensitive).

Full output: http://queues.webkit.org/results/12679475
------- Comment #19 From 2012-05-14 11:53:42 PST -------
(From update of attachment 141683 [details])
Clearing flags on attachment: 141683

Committed r116974: <http://trac.webkit.org/changeset/116974>
------- Comment #20 From 2012-05-14 11:53:49 PST -------
All reviewed patches have been landed.  Closing bug.